> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fill Explanation

> Contains the explanation, once solved.



## OpenAPI

````yaml fill GET /v2/fill/jobs/{id}/explanation
openapi: 3.1.0
info:
  description: |2-

                Welcome to the Solvice API! You can use our API to access Solvice API endpoints,
                which can get information on your solved jobs,
                their statuses and of course post new solve jobs.
            
  title: FILL API
  version: '2.0'
servers:
  - url: https://api.solvice.io
    description: Production API
security:
  - apikey: []
tags:
  - name: FILL API
    description: FILL API
paths:
  /v2/fill/jobs/{id}/explanation:
    get:
      tags:
        - Info
      summary: Explanation
      description: Contains the explanation, once solved.
      operationId: getFillExplanation
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FillExplanation1'
components:
  schemas:
    FillExplanation1:
      type: object
      required:
        - score
        - unresolved
      description: >-
        Explains the conflicts of a certain fill solution and the unresolved
        constraints.
      properties:
        score:
          $ref: '#/components/schemas/Score'
          type: object
          description: Score of the solution.
        conflicts:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/FillConflict'
          description: Conflicts in the solution
        unresolved:
          type: array
          items:
            $ref: '#/components/schemas/Unresolved1'
          description: Unresolved constraints in the solution
        alternatives:
          type:
            - object
            - 'null'
          additionalProperties:
            type: object
          description: Alternative employee assignments per shift.
    Score:
      type: object
      description: >-
        The score of a solution shows how good this solution is w.r.t all the
        constraints. All solvers try to maximize the score.
      properties:
        hardScore:
          type:
            - integer
            - 'null'
          format: int64
          description: >-
            The score of the constraints that are hard. This should be 0 in
            order to be feasible.
        mediumScore:
          type:
            - integer
            - 'null'
          format: int64
          description: The score of the constraints that are medium.
        softScore:
          type:
            - integer
            - 'null'
          format: int64
          description: The score of the constraints that are soft.
        feasible:
          type:
            - boolean
            - 'null'
    FillConflict:
      type: object
      required:
        - constraint
        - score
      description: A conflict in the resulting solution.
      properties:
        constraint:
          type: string
          description: Constraint type.
        score:
          type: string
          description: Score impact of this conflict.
        employee:
          type:
            - string
            - 'null'
          description: Employee id.
        shift:
          type:
            - string
            - 'null'
          description: Shift id.
        skill:
          type:
            - string
            - 'null'
          description: Skill id.
    Unresolved1:
      type: object
      required:
        - constraint
        - score
      description: Unresolved constraints in the resulting solution.
      properties:
        constraint:
          type: string
          description: Constraint type.
        score:
          type: string
          description: Score impact of this conflict.
  securitySchemes:
    apikey:
      type: apiKey
      description: Api Key based authentication (apikey)
      name: Authorization
      in: header

````